    PROGRAM a02abfe

!      A02ABF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : a02abf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: xi, xr, y
!      .. Executable Statements ..
       WRITE (nout,*) 'A02ABF Example Program Results'

!      Skip heading in data file
       READ (nin,*)

       READ (nin,*) xr, xi

!      Return absolute value of (XR,XI)

       y = a02abf(xr,xi)

       WRITE (nout,*)
       WRITE (nout,*) '   XR    XI       Y'
       WRITE (nout,99999) xr, xi, y

99999  FORMAT (1X,2F6.1,F9.4)
    END PROGRAM a02abfe
